Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.glsl.sdk
Class CompileShader

    java.lang.Object
      com.sun.opengl.util.glsl.sdk.CompileShader

Direct Known Subclasses:
  CompileShaderNVidia

    public abstract class CompileShader

extends Object

Precompiles a shader into a vendor binary format. Input is the resource name of the shader, such as "com/sun/opengl/impl/glsl/fixed/shader/a.fp". Output is "com/sun/opengl/impl/glsl/fixed/shader/bin/nvidia/a.bfp". All path and suffixes are determined by the ShaderCode class, which ensures runtime compatibility.

See Also:
  `javax.media.opengl.glsl.ShaderCode`

Constructor Summary
`CompileShader()`

Method Summary
`protected static String` | `basename(String path)`
`protected static String` | `dirname(String path)`
`abstract int` | `getBinaryFormat()`
`abstract String` | `getFragmentShaderCompiler()`
`abstract File` | `getSDKCompilerDir()`
`abstract String` | `getVertexShaderCompiler()`
`void` | `processOneShader(String resourceName)`
`void` | `processOneShader(String resourceName, String outName, int type)`
`void` | `run(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompileShader

    public CompileShader()

Method Detail

### getBinaryFormat

    public abstract int getBinaryFormat()

### getSDKCompilerDir

    public abstract File getSDKCompilerDir()

### getVertexShaderCompiler

    public abstract String getVertexShaderCompiler()

### getFragmentShaderCompiler

    public abstract String getFragmentShaderCompiler()

### processOneShader

    public void processOneShader(String resourceName)
                          throws IOException,
                                 UnsupportedEncodingException,
                                 InterruptedException

  Throws:
    `IOException`
    `UnsupportedEncodingException`
    `InterruptedException`

### processOneShader

    public void processOneShader(String resourceName,
                                 String outName,
                                 int type)
                          throws IOException,
                                 UnsupportedEncodingException,
                                 InterruptedException

  Throws:
    `IOException`
    `UnsupportedEncodingException`
    `InterruptedException`

### basename

    protected static String basename(String path)

### dirname

    protected static String dirname(String path)

### run

    public void run(String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.